Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask
Class Decomposition

    java.lang.Object
      edu.wpi.cetask.Decomposition

    public class Decomposition

extends Object

Representation for instances of a decomposition class.

Nested Class Summary
`class` | `Decomposition.Step`

Field Summary
`protected javax.script.Bindings` | `bindings`
`protected TaskEngine` | `engine`

Method Summary
`protected Object` | `eval(String script, javax.script.Bindings extra, String where)`
`protected Object` | `eval(String expression, String where)`
`protected Boolean` | `evalCondition(String expression, String where)`
`Task` | `getGoal()`
`Decomposition.Step` | `getStep(String name)`
`Collection<Decomposition.Step>` | `getSteps()`
`DecompositionClass` | `getType()`
`String` | `toString()`
`protected String` | `toStringVerbose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### engine

    protected final TaskEngine engine

### bindings

    protected final javax.script.Bindings bindings

Method Detail

### getType

    public DecompositionClass getType()

### getGoal

    public Task getGoal()

### getStep

    public Decomposition.Step getStep(String name)

### getSteps

    public Collection<Decomposition.Step> getSteps()

### eval

    protected Object eval(String expression,
                          String where)

### eval

    protected Object eval(String script,
                          javax.script.Bindings extra,
                          String where)
                   throws javax.script.ScriptException

  Throws:
    `javax.script.ScriptException`

### evalCondition

    protected Boolean evalCondition(String expression,
                                    String where)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toStringVerbose

    protected String toStringVerbose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD